## org.apache.mahout.cf.taste.hadoop.item
Class VectorAndPrefsWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.item.VectorAndPrefsWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class VectorAndPrefsWritable

extends Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`VectorAndPrefsWritable()`
`VectorAndPrefsWritable(Vector vector, List<Long> userIDs, List<Float> values)`

Method Summary
`List<Long>` `getUserIDs()`
`List<Float>` `getValues()`
`Vector` `getVector()`
`void` `readFields(DataInput in)`
`void` `set(Vector vector, List<Long> userIDs, List<Float> values)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VectorAndPrefsWritable

    public VectorAndPrefsWritable()

### VectorAndPrefsWritable

    public VectorAndPrefsWritable(Vector vector,
                                  List<Long> userIDs,
                                  List<Float> values)

Method Detail

### set

    public void set(Vector vector,
                    List<Long> userIDs,
                    List<Float> values)

### getVector

    public Vector getVector()

### getUserIDs

    public List<Long> getUserIDs()

### getValues

    public List<Float> getValues()

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.